package com.tuoheng.admin.controller;



import com.tuoheng.admin.entity.City;
import com.tuoheng.admin.query.CityQuery;
import com.tuoheng.admin.service.city.ICityService;
import com.tuoheng.common.core.common.BaseController;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 高德城市表 前端控制器
 * </p>
 *
 * @author 拓恒
 * @since 2020-11-03
 */
@RestController
@RequestMapping("/city")
public class CityController extends BaseController {

    @Autowired
    private ICityService cityService;

    /**
     * 获取城市列表
     *
     * @param cityQuery 查询条件
     * @return
     */
    @GetMapping("/index")
    public JsonResult index(CityQuery cityQuery) {
        return cityService.getList(cityQuery);
    }

    /**
     * 查询行政区列表（树结构）
     *
     * @return 行政区列表（树结构）
     */
    @GetMapping("/queryCityList")
    public JsonResult queryCityList() {
        List<City> cityList = cityService.getCityList();
        return JsonResult.success(cityList);
    }



}
