package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2023/3/2
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_accident")
public class Accident extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 部门id
     */
    private String deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 巡检任务id
     */
    private String inspectionId;

    /**
     * 巡检任务问题ID
     */
    private String inspectionFileId;

    /**
     * 航道id
     */
    private String channelId;

    /**
     * 航道名称
     */
    private String channelName;

    /**
     * 航道编码
     */
    private String channelCode;

    /**
     * 航段ID
     */
    private String legId;

    /**
     * 航段名称
     */
    private String legName;

    /**
     * 问题ID
     */
    private String questionId;

    /**
     * 问题编码
     */
    private String questionCode;

    /**
     * 问题名称
     */
    private String questionName;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 来源：1:巡检任务产生; 2:应急任务产生; 3:手动添加
     */
    private Integer source;

    /**
     * 事故状态：1未处理 2处理中 3已忽略 4已处理 5已完成
     */
    private Integer status;

    /**
     *处理人
     */
    private String checkUser;

    /**
     * 处理时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date checkTime;

    /**
     * 处理结果
     */
    private String checkResult;


    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    /**
     * 问题缩略图
     */
    @TableField(exist = false)
    private String fileThumbnail;

    /**
     * 问题原图
     */
    @TableField(exist = false)
    private String fileOriginal;

    /**
     * 问题标记图
     */
    @TableField(exist = false)
    private String fileImage;

}
