package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2023/3/2
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_accident_inspection")
public class AccidentInspection extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 事故ID
     */
    private String accidentId;

    /**
     * 巡检任务ID
     */
    private String inspectionId;

    /**
     * 无人机前往类型：1：原无人机直接前往；2：新无人机前往；3：手动添加的应急事故，无人机前往；
     */
    private Integer droneForwardType;

    /**
     * 记录名称
     */
    private String name;

    /**
     * 备注
     */
    private String remark;

}
