package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author ChengWang
 * @Date 2022/11/16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_channel")
public class Channel extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 航道名称
     */
    private String name;

    /**
     * 航道代号
     */
    private String code;

    /**
     * 城市编码
     */
    private String cityCode;

    /**
     * 起点经度
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String startLongitude;

    /**
     * 起点纬度
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String startLatitude;

    /**
     * 终点经度
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String endLongitude;

    /**
     * 终点纬度
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String endLatitude;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否关联航段  true：关联  false：未关联
     */
    @TableField(exist = false)
    private boolean relation;




}
