package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 部门对象
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_dept")
public class Dept extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 部门名称
     */
    private String name;

    /**
     * 部门编码
     */
    private String code;

    /**
     * 部门全称
     */
    private String fullname;

    /**
     * 类型：1公司 2子公司 3部门 4小组
     */
    private Integer type;

    /**
     * 上级ID
     */
    private String pid;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 备注说明
     */
    private String note;

}
