package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 飞行数据对象 th_flight_data_hl
 * 
 * @author ruoyi
 * @date 2023-08-08
 */
@Data
@Accessors(chain = true)
@TableName("th_flight_data_hl")
public class FlightDataHl implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *主键id
     */
    private Long id;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 巡检任务ID
     */
     private String inspectionId;

     /**
     * 飞行记录编号
     */
    private Long recordId;

    /**
     * 飞行计划编号
     *
     */
    private Long attachRD;

    /**
     * 无人机ID
     *
     */
    private Long uavId;

    /**
     * 无人机ID
     */
    private String uavNo;

    /**
     * 北京时间 精确到毫秒
     */
    private Long time;

    /**
     * 海拔高度 米
     */
    private String alt;

    /**
     * 经度
     */
    private String lng;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 地速 米/秒
     */
    private String spd;

    /**
     * 离地高度 实际为距离起飞点的相对高度
     *
     */
    private String ht;

    /**
     * 真航向 单位：度，取值范围:[0,360]
     *
     */
    private String head;

    /**
     * 俯仰角 单位: 度，取值范围:[-90,90]
     */
    private String pit;

    /**
     * 横滚角 单位：度，取值范围:[-90,90] 向左为正，向右为负
     *
     */
    private String roll;

    /**
     * 电池容量 百分比
     */
    private String bat;

    /**
     * 电池电压 伏特
     */
    private String vol;

    /**
     * 燃油剩余量百分比,或燃油数量,升
     */
    private String fuel;

    /**
     * 活动类型 1 land-降落/ 2 track-轨迹记录
     */
    private Long act;

    /**
     * 飞行模式,READY: 准备起飞,TAKEOFF: 正在起飞,HOLD: 正在盘旋,MISSION:正在按航线飞行,RETURN_TO_LAUNCH:
     * 返航    LAND：降落,OFFBOARD:外部接管中,FOLLOW_ME:跟随动态位置,UNKNOWN: 未知模式 0~8
     */
    private Long mode;

    /**
     * 飞行模式（天枢传输的模式）
     */
    private String flightMode;

    /**
     * 马达是否启动
     */
    private String arm;

    /**
     * 是否起飞到空中
     */
    private String air;

    /**
     * 当前绝对速度
     */
    private String absp;

    /**
     * 环境温度 摄氏度
     */
    private String temp;

    /**
     * 当前故障码
     */
    private String tc;

    /**
     * 垂直速度
     */
    private String velocityZ;

    /**
     * 剩余飞行时间
     */
    private String remainingFlightTime;

    /**
     * 信号质量 4G_ 5G_
     */
    private String moduleSignal;

    /**
     * 卫星数量
     */
    private String satellite;

    /**
     * 查询用(提供外部接口)
     */
    private Long deptId;

    /**
     * polit是否打开
     */
    private String appConnected;

    /**
     * 遥控器是否连接
     */
    private String groundConnected;

    /**
     * 飞机控制权
     */
    private String controlDevice;

    /**
     * 遥控器档位
     */
    private String rcControlPosition;

    /**
     * gps信号等级
     */
    private String gps;

    /**
     * 下视激光测距
     */
    private String ultrasonicHeight;

    /**
     * 混合气压计海拔高度
     */
    private String altitudeFused;

    /**
     * gps混合84椭球高程
     */
    private String latLonAltitude;

    /**
     * home点经纬度
     */
    private String homeLocation;

    /**
     * 电池电量
     */
    private String duration;

    /**
     * 1号电池电量
     */
    private String battery1CapacityPercent;

    /**
     * 1号电池电压
     */
    private String battery1Voltage;

    /**
     * 1号电池温度
     */
    private String battery1Temperature;

    /**
     * 1号电池加热
     */
    private String battery1HeatState;

    /**
     * 2号电池电量
     */
    private String battery2CapacityPercent;

    /**
     * 2号电池电压
     */
    private String battery2Voltage;

    /**
     * 2号电池温度
     */
    private String battery2Temperature;

    /**
     * 2号电池加热
     */
    private String battery2HeatState;

    /**
     * 云台俯仰
     */
    private String gimbalPitch;

    /**
     * 云台偏航
     */
    private String gimbalYaw;

    /**
     * 云台横滚
     */
    private String gimbalRoll;

    /**
     * 焦距倍数
     */
    private String zoomRatio;

    /**
     * 变焦镜头焦距
     */
    private String focalLength;

    /**
     * 视频源（广角/变焦/红外）
     */
    private String videoStreamSource;

    /**
     * 添加人
     */
    private String createUser;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 有效标识
     */
    private Integer mark;




}
