package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 巡检任务问题扩展
 *
 * @team tuoheng
 * @author wanjing
 * @date 2022-11-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class InspectionFileExtend extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 图片编号
     */
    private String fileCode;

    /**
     * 巡检任务ID
     */
    private String inspectionId;

    /**
     * 附件类型：1图片 2视频
     */
    private Integer fileType;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 缩略图
     */
    private String fileThumbnail;

    /**
     * 原图
     */
    private String fileOriginal;

    /**
     * 标记图
     */
    private String fileImage;

    /**
     * 文件大小
     */
    private BigDecimal fileSize;

    /**
     * 纬度(原始图片纬度)
     */
    private String latitude;

    /**
     * 经度(原始图片经度)
     */
    private String longitude;

    /**
     * 位置信息
     */
    private String location;

    /**
     * 高德地图经度
     */
    private String gaodeLongitude;

    /**
     * 高德地图纬度
     */
    private String gaodeLatitude;

    /**
     * 高德地图地址
     */
    private String gaodeAddress;

    /**
     * 问题类型二级分类ID
     */
    private String questionCode;

    /**
     * 图片来源：1AI 2后台 3视频
     */
    private Integer source;

    /**
     * 问题名称
     */
    private String questionName;

    /**
     * 详细描述
     */
    private String questionDesc;

    /**
     * 状态：5待确认 10已忽略 15已确认 20已生成工单 25问题已处理
     */
    private Integer status;

    /**
     * 审核人
     */
    private String checkUser;

    /**
     * 审核时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date checkTime;

    /**
     * 任务编号
     */
    private String inspectionCode;

    /**
     * 任务名称
     */
    private String inspectionName;

    /**
     * 所在航道ID
     */
    private String channelId;

    /**
     * 所在部门ID
     */
    private String deptId;

}
