package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author ChengWang
 * @Date 2022/11/16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_leg")
public class Leg extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 航道id
     */
    private String channelId;

    /**
     * 航段范围
     */
    private String legRange;

    /**
     * 城市编码
     */
    private String cityCode;

    /**
     * 起点名称
     */
    private String startName;

    /**
     * 终点名称
     */
    private String endName;

    /**
     * 起点经度
     */
    private String startLongitude;

    /**
     * 起点纬度
     */
    private String startLatitude;

    /**
     * 终点经度
     */
    private String endLongitude;

    /**
     * 终点纬度
     */
    private String endLatitude;

    /**
     * 备注
     */
    private String remark;

    /**
     * 长度
     */
    private String length;

    /**
     * 是否绑定部门  true：绑定  false：未绑定
     */
    @TableField(exist = false)
    private boolean relation;

    /**
     * 航道代号
     */
    @TableField(exist = false)
    private String code;

    /**
     * 航道名称
     */
    @TableField(exist = false)
    private String name;



}
