package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tuoheng.admin.entity.InspectionFileExtend;
import com.tuoheng.admin.entity.User;
import com.tuoheng.admin.request.inspectionfile.QueryInspectionFilePageListRequest;
import com.tuoheng.admin.request.user.QueryUserPageListRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 后台用户管理表 Mapper 接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-20
 */
public interface UserMapper extends BaseMapper<User> {

    Integer updateByIdList(Map<String, Object> map);

    Integer updateDeptIdByIdList(Map<String, Object> map);

    /**
     * 查询任务问题分页列表
     *
     * @param request 巡检任务查询实体
     * @return 巡检任务集合
     */
    Page<User> selectPageList(@Param("page") IPage page, @Param("request") QueryUserPageListRequest request);

}
