package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tuoheng.admin.entity.WorkOrder;
import com.tuoheng.admin.request.workorder.QueryWorkOrderPageListRequest;
import org.apache.ibatis.annotations.Param;

/**
 * 巡检工单Mapper接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-07
 */
public interface WorkOrderMapper extends BaseMapper<WorkOrder> {

    /**
     * 分配工单
     */
    Integer update(WorkOrder workOrder);

    /**
     * 查询工单分页列表
     *
     * @param request 巡检任务查询实体
     * @return 巡检任务集合
     */
    Page<WorkOrder> selectPageList(@Param("page") IPage page, @Param("request") QueryWorkOrderPageListRequest request);

}
