package com.tuoheng.admin.request.accident;

import lombok.Data;

import java.util.List;

/**
 *  创建应急事故卡片请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-04-14
 */
@Data
public class AddAccidentRequest {

    /**
     * 巡检机场id
     */
    private Long airportId;

    ///**
    // * 巡检机场名称
    // */
    //private String airportName;

    /**
     * 航线类型: 1：点；2：线；3：面；
     */
    private Integer lineType;

    /**
     * 算法实例ID
     */
    private String dspServiceInstId;

    /**
     * 航道id
     */
    private String channelId;

    /**
     * 航道名称
     */
    private String channelName;

    /**
     * 航道编码
     */
    private String channelCode;

    /**
     * 航段ID
     */
    private String legId;

    /**
     * 航段名称
     */
    private String legName;

    /**
     * 问题ID
     */
    private String questionId;

    /**
     * 问题编码
     */
    private String questionCode;

    /**
     * 问题名称
     */
    private String questionName;
    /**
     * 无人机di
     */
    private Integer droneId;
    /**
     * 部门名称
     */
    private String deptName;

    /**
     *  事故区域
     */
    List<AccidentRegion> accidentRegionList;

    /**
     *  航线数据
     */
    List<AirportRoute> airportRouteList;

}
