package com.tuoheng.admin.request.inspection;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @User qiujinyang
 * @Description
 * @Date Created by 2022/7/28 9:51
 */
@Data
public class InspectionRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    private String requestId;

    /**
     * 巡检的ID，跟硬件对接的时候，硬件的巡检ID，对应th_inspection表inspection_line字段
     */
    @NotNull(message = "巡检的ID不能为空！")
    private Integer inspectionId;

    /**
     * 飞行高度
     */
    @NotNull(message = "飞行高度不能为空！")
    private String altitude;

    /**
     * 经度
     */
    @NotNull(message = "经度不能为空！")
    private String lng;

    /**
     * 纬度
     */
    @NotNull(message = "纬度不能为空！")
    private String lat;

    /**
     * 地面基站
     */
    private String hostIp;

    /**
     * 相对高度
     */
    private String ultrasonic;

    /**
     * 俯仰角
     */
    private String pitch;

    /**
     * 横滚角
     */
    private String roll;

    /**
     * 航向角
     */
    private String yaw;

    /**
     * 空速
     */
    private String airspeed;

    /**
     * 地速
     */
    private String velocity;

    /**
     * 时间戳
     */
    private String timestamp;

    /**
     * GPS信号强度
     */
    private String gpssingal;

    /**
     * 无人机当前水平速度
     */
    private String hspeed;

    /**
     * 无人机当前海拔高度
     */
    private String alt;

    /**
     * 遥感信号
     */
    private String ysingal;

    /**
     * 遥测信号
     */
    private String tsingal;

    /**
     * 电池电压
     */
    private String voltage;

    /**
     * 机场距离
     */
    private String distToHome;

    /**
     * 总里程
     */
    private String mileage;

    /**
     * 是否是SRT文件数据，1是
     */
    private Integer isSrt;

    /**
     * 无人机是否处于解锁状态：true（已解锁）；false（锁定）
     */
    private Boolean armed;

    /**
     * 无人机当前的飞行模式：auto（任务模式）；loiter（悬停）；rtl（返航）
     */
    private String mode;

}
