package com.tuoheng.admin.request.inspection;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 巡检任务 新增或修改请求参数
 * @author: qiujinyang
 * @date: 2021/9/7
 */
@Data
public class MissionStatusRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *  请求ID
     */
    @NotNull(message = "巡检任务ID不能为空！")
    private Integer id;

    /**
     * 视频推流地址
     *
     * 机场平台根据hhz小程序需求调整，传该字段；
     * 目前航道小程序播放的都是已经完成的任务，使用的是aiVideoUrl字段，不需要使用该字段，因此暂未使用该字段
     *
     */
    private String playUrl;

    /**
     * 视频推流地址
     */
    private String pushUrl;

    /**
     * 视频拉流地址
     */
    private String pullUrl;

    /**
     * 任务状态1待执行 2执行中
     */
    private Integer status;

    /**
     * 任务里程
     */
    private String mileage;

    /**
     * 巡检任务ID
     */
    private String requestId;

}
