package com.tuoheng.admin.request.inspectionfile;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 查询巡检任务请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-05
 */
@Data
public class QueryInspectionFilePageListRequest extends BaseQuery {

    /**
     * 关键字，匹配任务编号和任务名称
     */
    private String key;

    /**
     * 问题类型
     */
    private String questionCode;

    /**
     * 问题状态
     */
    private Integer status;

    /**
     * 部门Id
     */
    private String deptId;

    /**
     * 核实开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    /**
     * 核实结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 部门及子部门Id列表
     */
    private List<String> deptIdList;

    /**
     * 租户ID
     */
    private String tenantId;

}
