package com.tuoheng.admin.request.third.oidc;

import com.tuoheng.admin.dto.ClientRoleDto;
import lombok.Data;

import java.util.List;

/**
 * oidc-修改租户第三方
 *
 * @Author xiaoying
 * @Date 2023/1/9 10:08
 */
@Data
public class EditOidcTenantRequest {

    /**
     * 用户名
     */
    private String username;

    /**
     * 租户名称
     */
    private String tenantName;

    /**
     * 业务对应角色存放列表
     */
    private List<ClientRoleDto> clientRoleDtoList;

    /**
     * 密码
     */
    private String password;

    /**
     * 租户code
     */
    private String tenantCode;

    /**
     * 省级编码
     */
    private String provinceCode;

    /**
     * 省份名称
     */
    private String provinceName;

    /**
     * 市区编号
     */
    private String cityCode;

    /**
     * 市区名称
     */
    private String cityName;

    /**
     * 区县编号
     */
    private String districtCode;

    /**
     * 区县名称
     */
    private String districtName;

}
