package com.tuoheng.admin.service.report;

import com.tuoheng.admin.request.report.QueryReportPageListRequest;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.web.bind.annotation.PathVariable;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * 巡检报告Service接口
 *
 * @team tuoheng
 * @author wanjing
 * @date 2022-12-09
 */
public interface IReportService {

    /**
     *
     * 生成报告
     *
     * @param id
     * @return
     */
    JsonResult generate(String id);

    /**
     *
     * 查询报告分页列表
     *
     * @return
     */
    JsonResult getPageList(QueryReportPageListRequest request);

    /**
     *
     * 查询巡检报告
     *
     * @return
     */
    JsonResult getInspectionReport(String id);

    /**
     *
     * 查询巡检处理报告
     *
     * @return
     */
    JsonResult getInspectionHandleReport(String id);

    /**
     *
     * 导出巡检报告
     *
     * @return
     */
    void exportInspectionReport(HttpServletRequest request, HttpServletResponse response, String id);

    /**
     *
     * 导出巡检处理报告
     *
     * @return
     */
    void exportInspectionHandleReport(HttpServletRequest request, HttpServletResponse response, String id);
}
