package com.tuoheng.admin.tzhl.response;

import lombok.Data;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2023/8/10
 */
@Data
public class TZHLAirportLineResponse {

    /**
     * 航线id
     */
    private Long id;

    /**
     * 航线名称
     */
    private String name;

    /**
     * 航线距离 单位米 精确2位
     */
    private String distince;

    /**
     * 航线高度 单位米 精确2位
     */
    private Float height;

    /**
     * 飞行速度 单位m/s 精确2位
     */
    private Integer speed;

    /**
     * 时长 单位s 精确0位
     */
    private String duration;

    /**
     * 航点数量
     */
    private Integer pointCount;


    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 航线点集合
     */
    private List<FlyLinePointResult> points;

    /**
     * 航线文件下载url
     */
    private String downloadUrl;

    /**
     * MD5文件校验
     */
    private String sign;

    /**
     * 航线截图下载路径（三维航线简略图）
     */
    private String pictureUrl;

    /**
     * 预定义模板类型 waypoint：航点飞行，mapping2d：建图航拍 ，mapping3d：倾斜摄影，mappingStrip：航带飞行
     */
    private String templateType;

    /**
     * 数据来源返回显示：0.内部kmz文件 1.外部导入kmz文件
     */
    private Integer dataSourceType;

    /**
     * 航线版本 4(4.0) 3(3.0)
     */
    private Integer flyLineVersion;


}
