package com.tuoheng.admin.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.admin.entity.InspectionFile;
import com.tuoheng.admin.vo.inspection.InspectionFileVo;
import lombok.Data;
import org.apache.kafka.common.record.Records;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @Author xiaoying
 * @Date 2023/4/13 17:10
 */
@Data
public class AccidentInspectionVo {

    /**
     * 类型名称：1横向裂缝，3网状裂纹，4坑槽，5块状裂纹，6积水
     */
    private String questionName;
    /**
     * 事故状态：1未处理 2处理中 3已忽略 4已处理 5已完成
     */
    private Integer status;
    /**
     * 事故发生地点
     */
    private String adress;
    /**
     * 处理人
     */
    private String checkUser;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 应急任务详情
     */
    private List<InspectionInfoVo> inspectionInfoVos;
    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;
    /**
     * 发生时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date occurrenceTime;


}
