package com.tuoheng.admin.vo;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @User qiujinyang
 * @Description
 * @Date Created by 2022/7/28 13:31
 */
@NoArgsConstructor
@Data
public class AirWeatherStatusVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private WTHDTO wth;
    private TAHDTO tah;
    private MOUNTDTO mount;
    private Integer status;

    @NoArgsConstructor
    @Data
    public static class WTHDTO {
        private ParmDTO parm;
        private Long mid;
        private String deviceid;
        private Long timestamp;

        @NoArgsConstructor
        @Data
        public static class ParmDTO {
            private Integer hum;
            private Integer rainfull;
            private Integer noise;
            private Integer co2;
            private Integer lux;
            private Integer rainType;
            private Integer tmp;
            private Integer _$Pm25111;// FIXME check this code
            private Integer dew;
            private Integer hpa;
            private Integer wspd;
            private Integer pm10;
            private Integer wdir;
        }
    }

    @NoArgsConstructor
    @Data
    public static class TAHDTO {
        private ParmDTO parm;
        private Long mid;
        private String deviceid;
        private Long timestamp;

        @NoArgsConstructor
        @Data
        public static class ParmDTO {
            /**
             * 湿度
             */
            private Integer hum;
            /**
             * 温度
             */
            private Integer tmp;
        }
    }

    @NoArgsConstructor
    @Data
    public static class MOUNTDTO {
        private String droneCode;
        private String droneName;
        private String droneImage;
        private String cameraCode;          // 相机
        private String cameraName;
        private String cameraImage;
        private String megaphoneCode;       // 喊话器
        private String megaphoneName;
        private String megaphoneImage;
        private String searchlightCode;     // 探照灯
        private String searchlightName;
        private String searchlightImage;

        private String createUser;
        private Date createTime;
        private String updateUser;
        private Date updateTime;
    }
}


