package com.tuoheng.admin.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.admin.entity.InspectionFile;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 应急任务详情Vo
 *
 * @Author xiaoying
 * @Date 2023/4/14 9:00
 */
@Data
public class InspectionInfoVo {
    /**
     * 应急任务id
     */
    private String id;
    /**
     * 机场id
     */
    private Integer airportId;
    /**
     * 无人机di
     */
    private Integer droneId;
    /**
     * 巡检任务名称
     */
    private String name;
    /**
     * 算法实例
     */
    private String dspServiceInstId;
    /**
     * 算法名
     */
    private String dspServiceInstName;
    /**
     * 原视频地址
     */
    private String videoUrl;

    /**
     * AI识别后视频地址
     */
    private String aiVideoUrl;
    /**
     * 识别记录
     */
    private List<InspectionFile> fileVoList;
    /**
     * 处理记录
     */
    private String processingRecord;
    /**
     * 任务发起时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
}
