package com.tuoheng.admin.vo.workorder;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 返回工单列表视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-07
 */
@Data
public class WorkOrderPageListVo {

    /**
     * 工单ID
     */
    private String id;

    /**
     * 工单编号
     */
    private String code;

    /**
     * 工单状态：5待分配 10处理中（已分配） 15已完成
     */
    private Integer status;

    /**
     * 问题总数
     */
    private Integer problemTotalCount;

    /**
     * 已处理问题数
     */
    private Integer processedProblemCount;

    /**
     * 分配人员ID
     */
    private String distributionId;

    /**
     * 分配人员名称
     */
    private String distributionName;

    /**
     * 指派部门ID
     */
    private String assignDeptId;

    /**
     * 指派负责人，可以是多个(",")隔开
     */
    private String assignUser;

    /**
     * 指派负责人名称，可以是多个(",")隔开
     */
    private String assignUserNames;

    /**
     * 指派负责人联系方式
     */
    private String assignContact;

    /**
     * 指派指派备注
     */
    private String assignNote;

    /**
     * 指派时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date assignTime;

    /**
     * 所在部门ID
     */
    private String deptId;

    /**
     * 所在部门名称
     */
    private String deptName;

    /**
     * 创建人
     */
    private String createUser;

    /**
     * 工单生成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
}
