package com.tuoheng.miniprogram;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication
@EnableDiscoveryClient
@EnableFeignClients(basePackages = "com.tuoheng")
@EnableHystrix
@EnableAsync
@MapperScan("com.tuoheng.miniprogram.dao")
@ComponentScan("com.tuoheng.*")
public class THMiniprogramApplication {

    public static void main(String[] args) {
        SpringApplication.run(THMiniprogramApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  微服务【电信城管 小程序端体验后台服务】启动成功   ლ(´ڡ`ლ)ﾞ");
    }

}
