package com.tuoheng.miniprogram.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
public class CommonsConfig {

    /**
     * 图片域名
     */
    public static String imageURL;

    /**
     * OSS域名
     */
    public static String ossURL;

    /**
     * 视频域名
     */
    public static String videoURL;

    /**
     * oidc地址
     */
    public static String oidcUrl;

    /**
     * 图片域名赋值
     *
     * @param url 域名地址
     */
    @Value("${tuoheng.image-url}")
    public void setImageURL(String url) {
        imageURL = url;
    }

    /**
     * 阿里云OSS域名
     *
     * @param url 图片地址
     */
    @Value("${tuoheng.oss-url}")
    public void setOssURL(String url) {
        ossURL = url;
    }

    /**
     * 视频域名赋值
     *
     * @param url 域名地址
     */
    @Value("${tuoheng.video-url}")
    public void setVideoURL(String url) {
        videoURL = url;
    }

    /**
     * oidc赋值
     *
     * @param url 地址
     */
    @Value("${tuoheng.oidc-url}")
    public void setOidcUrl(String url) {
        oidcUrl = url;
    }
}
