package com.tuoheng.miniprogram.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author ChengWang
 * @Date 2022/12/1
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_live_channel")
public class LiveChannel extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 部门id
     */
    private String deptId;

    /**
     * 巡检任务ID
     */
    private String inspectionId;

    /**
     *通道编号
     */
    private String channelCode;

    /**
     * 直播通道名称
     */
    private String name;

    /**
     *无人机推流地址
     */
    private String pushUrl;

    /**
     * 无人机拉流地址
     */
    private String pullUrl;

    /**
     * AI推流地址
     */
    private String aipushUrl;

    /**
     * AI拉流地址
     */
    private String aipullUrl;

    /**
     * 备注
     */
    private String note;

    /**
     *状态：1正常 2停用
     */
    private Integer  status;

}
