package com.tuoheng.miniprogram.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 权限配置表
 * @TableName op_permissions
 */
@TableName(value ="op_permissions")
@Data
public class OpPermissions {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;



    /**
     * 所属client
     */
    private String clientId;

    /**
     * code标识
     */
    private String code;

    /**
     * 展示name
     */
    private String name;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 0：菜单项action-permissions；
     */
    private Integer type;

    /**
     * 关联菜单id
     */
    private Integer menuId;

    /**
     * 接口路径
     */
    private String apiUrl;

    /**
     * 添加人
     */
    private String createUser;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUser;

    /**
     * 更新时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 有效标识
     */
    private Integer mark;

    /**
     * 是否选中
     */
    @TableField(exist = false)
    private boolean checked;

    /**
     * 是否打开
     */
    @TableField(exist = false)
    private boolean open;
}