package com.tuoheng.miniprogram.entity.query;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2022/11/21
 */
@Data
public class InspectionQuery extends BaseQuery {

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 部门id
     */
    private String deptId;

    /**
     * 航道id
     */
    private String channelId;

    /**
     * 航段id
     */
    private String legId;

    /**
     * 任务状态 5任务待飞行 7飞行失败 10任务飞行中 15任务飞行完成
     */
    private String status;

    /**
     *巡检方式类型 1 无人机 2机场
     */
    private Integer inspectionType;

    /**
     *巡检线路id
     */
    private Integer inspectionLine;

    /**
     * 巡检线路名称
     */
    private String inspectionLineName;

    /**
     * 巡检任务类型 1 临时巡检 2应急任务
     */
    private Integer type;

    /**
     *日期(传入)
     */
    private String time;

    /**
     * 日期，日期类型
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTimeDate;

    /**
     * 结束日期，日期类型
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endTimeDate;

    /**
     * 执行开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date executionStartTime;



}
