package com.tuoheng.miniprogram.service;

import com.aliyuncs.vod.model.v20170321.CreateUploadVideoResponse;
import com.aliyuncs.vod.model.v20170321.RefreshUploadVideoResponse;

/**
 * @Author: 吴彬
 * @CreateTime: 2022-08-31  08:35
 * @Description: 阿里云点播服务 service
 * @Version: 1.0
 */
public interface IAliyuncsVodService {

    /**
     * 获取音视频上传地址和凭证
     * @param title
     * @param fileName
     * @return
     */
    CreateUploadVideoResponse createUploadVideo(String title, String fileName);

    /**
     * 刷新音/视频上传凭证
     * @param videoId
     * @return
     */
    RefreshUploadVideoResponse refreshUploadVideo(String videoId);

    /**
     * 获取点播流的视频vedioId
     *
     * @param appName appName
     * @param domainName domainName
     * @param streamName streamName
     * @return
     */
    String getVodVideoId(String appName, String domainName, String streamName);

    /**
     * 获取点播流的视频地址
     *
     * @param vodVideoId vodVideoId
     * @return
     */
    String getVodVideoUrl(String vodVideoId);
}
