package com.tuoheng.miniprogram.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2022/11/22
 */
@Data
public class InspectionInfoVo {

    /**
     * 任务id
     */
    private String id;

    /**
     * 巡检任务编号
     */
    private String code;

    /**
     * 巡检任务名称
     */
    private String name;

    /**
     * 巡检任务类型
     */
    private Integer type;

    /**
     *任务状态 5任务待飞行 7飞行失败 10任务飞行中 15任务飞行完成
     */
    private Integer status;

    /**
     * 巡检方式类型 1 无人机 2机场
     */
    private Integer inspectionType;

    /**
     * 巡检路线id
     */
    private Integer inspectionLine;

    /**
     * 巡逻线路名称
     */
    private String inspectionLineName;

    /**
     * 创建人
     */
    private String createUser;

    /**
     * 任务执行时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy/MM/dd HH:mm", timezone = "GMT+8")
    private Date executionStartTime;

    /**
     * 发现问题数量(status状态为5待确认)
     */
    private Integer problemsFoundNum;

    /**
     * 已核实问题数量(status状态15已确认)
     */
    private Integer problemsVerifiedNum;

    /**
     * 判断是否是本部的任务 flag: 1是 0否
     */
    private Integer flag;

    /**
     * ai分析后视频
     */
    private String aiVideoUrl;



}
