package com.tuoheng.miniprogram.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2022/12/7
 */
@Data
public class WorkOrderHandleVo {

    /**
     * 问题id
     */
    private String id;

    /**
     * 工单id
     */
    private String workOrderId;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 问题类型名称：1坑槽，2积水，3裂缝
     */
    private Integer type;

    /**
     * 问题内容
     */
    private String content;

    /**
     * 文件名称
     */
    private String fileName;

    /**
     * 缩略图
     */
    private String fileThumbnail;

    /**
     * 原图
     */
    private String fileOriginal;

    /**
     * 标记图
     */
    private String fileImage;

    /**
     * 位置
     */
    private String code;

    /**
     * 片区名称
     */
    private String legRange;

    /**
     * 任务时间(巡检执行时间)
     */
    @DateTimeFormat(pattern = "yyyy/MM/dd HH:mm")
    @JsonFormat(pattern = "yyyy/MM/dd HH:mm", timezone = "GMT+8")
    private Date executionStartTime;

    /**
     * 状态：20已生成工单 25问题已处理
     */
    private Integer status;
}
